Skip to Content
veriom

Revoke external issue sync

POST
/v1/workspaces/{workspace_id}/findings/{finding_id}/external-issues/{issue_id}/revoke

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
finding_id*Finding Id
Formatuuid
issue_id*Issue Id
Formatuuid

Request Body

application/json
  1. body
reason*Reason
Length3 <= length <= 2000

Response Body

Successful Response

application/json
  1. response
external_id*string|null
external_url*string|null
id*Id
Formatuuid
last_error*string|null
last_status*string|null
last_synced_at*|null
provider*Provider
revoked_at*|null
sync_cursor*string|null
sync_state*Sync State
updated_at*Updated At
Formatdate-time
workflow_action_id*Workflow Action Id
Formatuuid
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/findings/497f6eca-6276-4993-bfeb-53cbbbba6f08/external-issues/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke' \  -H 'Content-Type: application/json' \  -d '{  "reason": "string"}'
Example Response
{  "external_id": "string",  "external_url": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "last_error": "string",  "last_status": "string",  "last_synced_at": "2019-08-24T14:15:22Z",  "provider": "string",  "revoked_at": "2019-08-24T14:15:22Z",  "sync_cursor": "string",  "sync_state": "string",  "updated_at": "2019-08-24T14:15:22Z",  "workflow_action_id": "7de771d7-f9cd-453f-8427-f366cba180e9"}